Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Enumerations | Functions
exceptn.h File Reference
`#include <botan/types.h>`
`#include <exception>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Botan::Algorithm_Not_Found
class | Botan::Decoding_Error
class | Botan::Encoding_Error
class | Botan::Exception
class | Botan::Internal_Error
class | Botan::Invalid_Algorithm_Name
class | Botan::Invalid_Argument
class | Botan::Invalid_Authentication_Tag
class | Botan::Invalid_IV_Length
class | Botan::Invalid_Key_Length
class | Botan::Invalid_OID
class | Botan::Invalid_State
class | Botan::Key_Not_Set
class | Botan::Lookup_Error
class | Botan::No_Provider_Found
class | Botan::Not_Implemented
class | Botan::Policy_Violation
class | Botan::PRNG_Unseeded
class | Botan::Provider_Not_Found
class | Botan::Self_Test_Failure
class | Botan::Stream_IO_Error
class | Botan::System_Error
class | Botan::Unsupported_Argument

## Namespaces
| Botan

## Typedefs
typedef Invalid_Authentication_Tag | Botan::Integrity_Failure

## Enumerations
enum | Botan::ErrorType { Botan::ErrorType::Unknown = 1, Botan::ErrorType::SystemError, Botan::ErrorType::NotImplemented, Botan::ErrorType::OutOfMemory, Botan::ErrorType::InternalError, Botan::ErrorType::IoError, Botan::ErrorType::InvalidObjectState = 100, Botan::ErrorType::KeyNotSet, Botan::ErrorType::InvalidArgument, Botan::ErrorType::InvalidKeyLength, Botan::ErrorType::InvalidNonceLength, Botan::ErrorType::LookupError, Botan::ErrorType::EncodingFailure, Botan::ErrorType::DecodingFailure, Botan::ErrorType::TLSError, Botan::ErrorType::HttpError, Botan::ErrorType::InvalidTag, Botan::ErrorType::RoughtimeError, Botan::ErrorType::OpenSSLError = 200, Botan::ErrorType::CommonCryptoError, Botan::ErrorType::Pkcs11Error, Botan::ErrorType::TPMError, Botan::ErrorType::DatabaseError, Botan::ErrorType::ZlibError = 300, Botan::ErrorType::Bzip2Error, Botan::ErrorType::LzmaError }

## Functions
template<typename E , typename... Args>
void | Botan::do_throw_error (const char *file, int line, const char *func, Args...args)
std::string | Botan::to_string (ErrorType type)
| Convert an ErrorType to string. More...